### R code from vignette source 'eudysbiome.Rnw'

###################################################
### code chunk number 1: eudysbiome.Rnw:62-68
###################################################
library("eudysbiome")
data(diffGenera)
head(diffGenera)

data(harmGenera)
annotation = microAnnotate(diffGenera, annotated.micro = harmGenera)


###################################################
### code chunk number 2: pseudoCartesian
###################################################
data(microDiff)
microDiff
attach(microDiff)

par(mar = c(6,5.1,4.1,6))
pseudoCartesian(data ,micro.anno = micro.anno,comp.anno= comp.anno,
                unknown=TRUE,point.col = c("blue","purple","orange"))


###################################################
### code chunk number 3: microCount
###################################################
microCount = contingencyCount(data ,micro.anno = micro.anno, 
                              comp.anno= comp.anno)


###################################################
### code chunk number 4: test
###################################################
microTest = contingencyTest(microCount,alternative ="greater")
microTest["Chisq.p"]
microTest["Fisher.p"]


###################################################
### code chunk number 5: sessionInfo
###################################################
toLatex(sessionInfo())


